Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 620328 - krusader hangs on close / duplicate session start
krusader hangs on close / duplicate session start
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: krusader (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Radek Novacek
Fedora Extras Quality Assurance
: Patch, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-02 04:17 EDT by Thomas Jarosch
Modified: 2016-11-30 19:29 EST (History)
4 users (show)

See Also:
Fixed In Version: krusader-2.2.0-0.5.beta1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 08:39:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix from upstream (627 bytes, patch)
2010-08-02 04:17 EDT, Thomas Jarosch
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 240319 None None None Never

  None (edit)
Description Thomas Jarosch 2010-08-02 04:17:46 EDT
Created attachment 435964 [details]
Fix from upstream

Hello,

the krusader application doesn't shut down properly and leaves
a dead task behind. This leads to an increasing number of
krusader instances on KDE start.

Fix from upstream is available and works fine.

Best regards,
Thomas Jarosch
Comment 2 Kevin Kofler 2010-08-02 10:13:15 EDT
Also:
https://bugs.kde.org/show_bug.cgi?id=240319
https://sourceforge.net/tracker/?func=detail&aid=3015094&group_id=6488&atid=106488

I've been noticing this myself for a while, it seems triggered by one of our Qt or kdelibs updates.
Comment 3 Kevin Kofler 2010-08-02 10:18:04 EDT
The upstream commit the attached patch is from: http://websvn.kde.org/?view=revision&revision=1154581
Comment 4 Fedora Update System 2010-08-05 23:46:09 EDT
krusader-2.2.0-0.5.beta1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/krusader-2.2.0-0.5.beta1.fc14
Comment 5 Fedora Update System 2010-08-05 23:47:07 EDT
krusader-2.2.0-0.5.beta1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/krusader-2.2.0-0.5.beta1.fc13
Comment 6 Fedora Update System 2010-08-05 23:47:47 EDT
krusader-2.2.0-0.5.beta1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/krusader-2.2.0-0.5.beta1.fc12
Comment 7 Fedora Update System 2010-08-06 17:04:26 EDT
krusader-2.2.0-0.5.beta1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update krusader'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/krusader-2.2.0-0.5.beta1.fc13
Comment 8 Fedora Update System 2010-08-10 17:43:55 EDT
krusader-2.2.0-0.5.beta1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-08-10 17:46:46 EDT
krusader-2.2.0-0.5.beta1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-08-18 21:26:51 EDT
krusader-2.2.0-0.5.beta1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 dominique 2010-11-17 12:09:12 EST
I reopen this bug.
I use Fedora 14 and krusader-2.2.0-0.5.beta1.fc14, and this bug still persist...

Krusader don't close properly, and in top I have a krusader process with 50% cpu.
Other strange thing: when I want delete files, my laptop freeze and I re-start my session with CTRL+ALT+BACKSPACE
Comment 12 Kevin Kofler 2010-11-17 12:50:55 EST
Well, I can reopen this, but I haven't seen this happen with 0.5.beta1. For me, Krusader closes just fine with krusader-2.2.0-0.5.beta1.fc13.
Comment 13 dominique 2010-11-17 13:10:50 EST
(In reply to comment #12)
> Well, I can reopen this, but I haven't seen this happen with 0.5.beta1. For me,
> Krusader closes just fine with krusader-2.2.0-0.5.beta1.fc13.

For information, this bug is not repetitive, it come approximately 1 for 4...
Comment 14 Bug Zapper 2011-06-01 08:17:44 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Fedora Admin XMLRPC Client 2011-06-22 16:42:18 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 16 Bug Zapper 2011-06-29 08:39:38 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.